The caller's running stopwatch (tenant:access)
GET /api/hr/v1/work-entries/stopwatch
Module: HR · operationId: getStopwatch · Tag: Work entries · Auth: access token (Authorization: Bearer <accessToken>)
Responses
- 200 The running entry,
nullwhen none runs (application/json) - 403 Error (
application/json)
Fields of the 200 answer:
running(WorkEntry | null, required): The caller's running stopwatch entry, null when none runs
Example 200 answer:
{
"running": {
"billableMinutes": 0,
"billing": "hourly",
"createdAt": "2026-11-19T08:40:00Z",
"createdBy": "sophie.huber@muster-it.example",
"customer": {
"id": "1b3d5f7b-9d1f-4b3d-8f5b-9d1f3b5d7f50",
"name": "Kanzlei Hofmann \u0026 Partner"
},
"description": "Drucker im Empfang einrichten",
"durationSeconds": 0,
"employeeId": "e5a1c3d7-2b4f-4c6e-8a0b-1d3f5b7c9e02",
"endedAt": null,
"id": "9c1e3a5c-7e9a-4c1e-8a5c-7e9a1c3e5a54",
"kind": "remote",
"minutes": 0,
"running": true,
"source": "stopwatch",
"startedAt": "2026-11-19T08:40:00Z",
"state": "confirmed",
"subject": "desk:item:8c0e2a4c-6e8a-4c0e-9a2c-4e6a8c0e2a55",
"subjectLabel": "#231 Neuer Drucker am Empfang",
"updatedAt": "2026-11-19T08:40:00Z",
"version": 1,
"workDate": "2026-11-19"
}
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/work-entries/stopwatch' \
-H "Authorization: Bearer $ACCESS_TOKEN"